Name: edeploy
Version: 1.8.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Linux systems provisioning and updating made easy
Group: System Environment/Daemons
License: ASL 2.0
URL: https://github.com/enovance/edeploy/
Source0: https://github.com/enovance/edeploy/archive/%{version}.tar.gz
Patch0: edeploy-1.8.0-fix-install.patch
BuildRequires: python, python-sphinx
Requires: python-hardware, httpd, python-netaddr, python-pexpect

%description

eDeploy is a tool to provision and update systems (physical or
virtual) using trees of files instead of packages or VM images.

%package devel
Summary: Utilities to build eDeploy roles
Group: Development/Tools
BuildArch: noarch
Requires: make

%description devel

Utilities to build eDeploy roles and VM images.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
cd docs
make html

%install
%{__make} DESTDIR=%{buildroot} WWW_USER=$(whoami) WWW_DIR=%{buildroot}%{_datadir}/%{name} install-www install-build SHARE_BUILD_DIR=%{buildroot}%{_sharedstatedir}/edeploy-devel
rm -rf %{buildroot}%{_sharedstatedir}/edeploy-devel/sources/lshw %{buildroot}/usr/share/ansible docs/build/html/.buildinfo
chmod 644 %{buildroot}%{_sharedstatedir}/edeploy-devel/repositories
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
cat > %{buildroot}%{_sysconfdir}/httpd/conf.d/edeploy.conf <<EOF
<IfModule alias_module>
    ScriptAlias /edeploy/ "%{_datadir}/%{name}/"
</IfModule>

<Directory "%{_datadir}/%{name}/">
    AllowOverride None
    Options None
    Require all granted
</Directory>
EOF

%files
%doc README.rst docs/build/html
%config(noreplace) %{_sysconfdir}/edeploy.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/edeploy.conf
%{_datadir}/%{name}/upload.py*
%attr(0644, apache, apache) %{_sharedstatedir}/edeploy/*.cmdb
%{_sharedstatedir}/edeploy/*.configure
%{_sharedstatedir}/edeploy/*.specs
%attr(0644, apache, apache) %{_sharedstatedir}/edeploy/state

%files devel
%doc README.rst
%{_sharedstatedir}/edeploy-devel

%changelog
* Wed Mar 18 2015 Frederic Lepied <frederic.lepied@redhat.com> - 1.8.0-1
- initial packaging

